Subject: Re: [dmarc-ietf] Suggestion: handle null reverse path SPF alignment with RFC5322.From in different domain

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sat, 30 Nov 2013 22:39:52 -0800

Any other input on this point?  DMARC currently only considers the SPF
result if there is alignment between the return path and the From field.

On Mon, Sep 2, 2013 at 3:42 PM, Raman Gupta <[email-masked]> wrote:

> I encountered a use case recently with an auto-generated email with
> RFC5322.From domain foo.com, sent from a host in domain bar.com.
> Because the email was auto-generated by sieve, it contained a null
> return path. The host in bar.com is a valid SPF sender for domain foo.com.
>
> DMARC failed the SPF check despite the valid SPF, since the
> RFC5322.From address was not aligned with the domain bar.com extracted
> from the HELO/EHLO.
>
> A valid way to circumvent this problem is to use DKIM signing, aligned
> with foo.com, in which case DMARC is designed to ignore the SPF
> failure and pass overall.
>
> However, I do think this is a valid situation which the SPF alignment
> rules should consider.
>
> I hope I have explained this sufficiently. Thank you to Steven Jones
> and Scott Kitterman and others on the dmarc-discuss list for
> clarifying the situation presented here.
>
> Regards,
> Raman Gupta
> Principal
> VIVO Systems
> _______________________________________________
> dmarc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmarc
>